SELECT lastname, firstname,
       p.area_code || p.phone_number "NUMBER",
       pay_amount, credit_limit, balance
  FROM person p JOIN employee e ON p.id = e.id
                JOIN account a ON e.id = a.customer_id
 WHERE pay_amount < credit_limit
   AND balance > pay_amount / 2
/
