DROP TABLE emp
/
CREATE GLOBAL TEMPORARY TABLE emp
(
  eid NUMBER,
  firstname VARCHAR2(15),
  mi CHAR,
  lastname VARCHAR2(25),
  title VARCHAR2(15),
  pay_amount NUMBER(9,2),
  pay_type_name VARCHAR2(15)
) ON COMMIT DELETE ROWS
/

INSERT INTO emp
SELECT e.id, firstname, mi, lastname, title, 
       pay_amount, pay_type_name
  FROM person p JOIN employee e ON p.id = e.id 
                JOIN pay_type pt 
                  ON e.pay_type_code = pt.pay_type_code
/