WITH high_pay AS (SELECT last_name, first_name, department_id
                    FROM hr.employees
                   WHERE salary > 6000),
     depts AS (SELECT department_id
                 FROM hr.departments
                WHERE location_id IN (1200,2500))
SELECT *
  FROM high_pay
 WHERE department_id IN (SELECT *
                           FROM depts)
/

