SET AUTOTRACE ON EXPLAIN

SELECT promo_id, COUNT(*)
  FROM sales
 GROUP BY promo_id
/

BEGIN
  DBMS_STATS.SET_TABLE_STATS(ownname => 'S1',
                             tabname => 'SALES', 
                             numrows => 1,
                             numblks => 1);
END;
/

SELECT table_name, num_rows, blocks,
       TO_CHAR(last_analyzed, 'MM/DD/YYYY HH:MI:SS')
  FROM user_tables
/

SELECT promo_id, COUNT(*)
  FROM sales
 GROUP BY promo_id
/

SET AUTOTRACE OFF EXPLAIN
