CREATE INDEX my_cust_index
       ON hr.customers (cust_first_name, cust_last_name)
/

-- For this to work,
-- a. I must have one of:
--    - CREATE ANY INDEX system privilege
--    - The INDEX object privilege on HR.CUSTOMERS
-- b. I must have sufficient storage quota for the index
--    in my default tablespace.
-- c. There cannot already be any index on the same column
--    list for that table.

