   SELECT DECODE(GROUPING(department_id), 1, 'total', 0, department_id)
            AS dept,
          DECODE(GROUPING(manager_id), 1, 'total' ,0, manager_id)
            AS manager,
          DECODE(GROUPING(job_id), 1, 'total', 0, job_id)
            AS job,
          SUM(salary) AS salary
     FROM hr.employees
 GROUP BY CUBE(department_id, manager_id, job_id)
/
