SELECT job_id, employee_id, commission_pct,
       RANK() OVER (PARTITION BY job_id 
                        ORDER BY commission_pct) 
         AS rank,
       DENSE_RANK() OVER (PARTITION BY job_id 
                              ORDER BY commission_pct) 
         AS "dense rank"
  FROM hr.employees
 WHERE commission_pct IS NOT NULL
/
