SELECT order_id, TO_CHAR(order_date,'MM/DD/YYYY') AS "Order Date",
       order_total,
       SUM(order_total) OVER
           (PARTITION BY TO_CHAR(order_date,'MM/DD/YYYY'))
           AS "Date Total"
  FROM oe.orders
ORDER BY 2
/
