CREATE TABLE sales_data (
             sales_tx_id   NUMBER(6,0),
             sales_amount  NUMBER(6,2),
             sales_date    DATE
) PARTITION BY RANGE (sales_date)
  (PARTITION sales_q1 VALUES LESS THAN
       (TO_DATE('04/01/2006','MM/DD/YYYY')),
   PARTITION sales_q2 VALUES LESS THAN
       (TO_DATE('07/01/2006','MM/DD/YYYY')),
   PARTITION sales_q3 VALUES LESS THAN
       (TO_DATE('10/01/2006','MM/DD/YYYY')),
   PARTITION sales_q4 VALUES LESS THAN
       (TO_DATE('01/01/2007','MM/DD/YYYY')))
/
