SELECT substr(p.lastname||', '||p.firstname,1,25) "Employee",
       e.supervisor_id "Super. ID",
       substr(sp.lastname||' '||sp.firstname,1,25) "Supervisor",
       s.title "Super. Title"
  FROM employee e JOIN person p ON p.id = e.id
                  LEFT OUTER JOIN employee s ON s.id = e.supervisor_id
                  LEFT OUTER JOIN person sp ON sp.id = e.supervisor_id
 ORDER BY "Super. ID", "Employee"
/
