CREATE OR REPLACE TYPE BODY car_typ AS
  ORDER MEMBER FUNCTION ordering (c car_typ)
                     RETURN INTEGER IS
  BEGIN
    IF (year < c.year) AND (make < c.make) THEN
       RETURN -1;
    ELSIF (year > c.year) AND (make > c.make) THEN
       RETURN 1;
    ELSE
       RETURN 0;
    END IF;
  END;
END;
/